import java.io.*;

public class FileTest {
	public static void main(String[] args) throws IOException {
		/* 在内存中建立一个File对象，
		 * 此时并没有在磁盘上创建 test.txt 文件。
		 */
		File f1=new File("test.txt");//相对于当前路径。
		File f2 =new File("C:\\t2.txt");//表示 C:\t2.txt
		File f3 = new File("C:/t3.txt");//表示 C:\t3.txt
		File f4 = new File("C:/a/b/c/t4.txt");
		File f5= new File("/a/b/t5.txt"); //路径是Linux/Unix上的
		File f6 =new File("./a/b/t6.txt");//采用相对路径
		
		//若磁盘上不存在该文件则创建一个空文件，否则不创建。
		f1.createNewFile();
		//f4.createNewFile();
		//f5.createNewFile();
		System.out.println("文件名: "+f1.getName());
		System.out.println("文件路径: "+f1.getPath());
		System.out.println("文件长度: "+f1.length());
	}
}
